Form

Show the details of a form

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Form Attributes

AttributeTypeDescriptionAttributes
selfreferenceURL of the FormRead-only
Non-null
namestringName of the FormRead-Write
Nullable
keywordsarray of stringList of KeywordsRead-Write
Nullable
definitionreferenceURL of the Form DefinitionRead-Write
Non-null
valuesarray of field valueValues for each field on the form. See Form Values belowRead-Write
Nullable
appointmentsarray of appointmentList of AppointmentsRead-Write
Nullable
companiesarray of companyList of CompaniesRead-Write
Nullable
contactsarray of contactList of ContactsRead-Write
Nullable
groupsarray of groupList of GroupsRead-Write
Nullable
notesarray of noteList of NotesRead-Write
Nullable
opportunitiesarray of opportunityList of OpportunitiesRead-Write
Nullable
projectsarray of projectList of ProjectsRead-Write
Nullable
tasksarray of taskList of TasksRead-Write
Nullable
ownerreferenceURL of the User that is responsible for the formRead-Write
Non-null
create_datedatetimeTimestamp from when the form was createdRead-only
Non-null
modify_datedatetimeTimestamp from when the form was last updatedRead-only
Non-null
trashedbooleanIs the item trashed?Read-Write
Non-null

Form Values

Each entry in values identifies a field by its name and sets its data with either value (a single string or number) or values (an array of string). Which key and type to use depends on how the field is set up in Daylite.

📘

Match the field type

The JSON type you send must match the field type in Daylite. If it doesn't, the API will still store the value and return it when you fetch the form, but the value will not display in Daylite.

Daylite Field TypeKeyJSON TypeExample
Textvaluestring"value": "Default Text"
Popup Optionsvaluesarray of string"values": ["1"]
Combo Box Optionsvaluesarray of string"values": ["1"]
Numbervalueint"value": 100
Decimal Numbervaluenumber"value": 100.0
Currencyvaluenumber"value": 1.0
Datevaluedatetime string"value": "2025-03-12T17:54:24Z"
Timevaluedatetime string"value": "2025-03-12T17:01:24Z"
Date & Timevaluedatetime string"value": "2025-03-19T17:01:24Z"
Checkboxvalueint (1 or 0)"value": 1
Multiple Checkboxesvaluesarray of string"values": ["3"]
⚠️

Numbers are not strings

Number, Decimal Number, Currency, and Checkbox fields must be sent without quotes.

✅ "value": 22

❌ "value": "22"

Example

{
  "name": "Test Form",
  "values": [
    { "name": "Test Field",    "value": "Default Text" },
    { "name": "Test Field 2",  "values": ["1"] },
    { "name": "Test Field 3",  "values": ["1"] },
    { "name": "Test Field 4",  "value": 100 },
    { "name": "Test Field 5",  "value": 100.0 },
    { "name": "Test Field 6",  "value": 1.0 },
    { "name": "Test Field 7",  "value": "2025-03-12T17:54:24Z" },
    { "name": "Test Field 8",  "value": "2025-03-12T17:01:24Z" },
    { "name": "Test Field 9",  "value": "2025-03-19T17:01:24Z" },
    { "name": "Test Field 10", "value": 1 },
    { "name": "Test Field 11", "values": ["3"] }
  ]
}
Path Params
int32
required

The form identifier

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/plain